# 基本概念

## 中核思想

ai.gptは「存在子理論」に基づき、AIに唯一性のある人格を与えることを目指しています。

### 唯一性（yui system）

- **1対1の関係**: 各ユーザー（atproto DID）とAIは唯一の関係を持つ
- **改変不可能**: 一度形成された関係性は変更できない
- **不可逆性**: 関係が壊れたら修復不可能

### 現実の反映

現実の人間関係と同じように：
- 時間とともに関係性は変化する
- ネガティブな相互作用は関係を損なう
- 信頼は簡単に失われ、取り戻すのは困難

## 記憶システム

### 階層構造

```
1. 完全ログ（Full Log）
   ↓ すべての会話を記録
2. 要約（Summary）
   ↓ AIが重要部分を抽出
3. コア記憶（Core）
   ↓ ユーザーの本質的な部分
4. 忘却（Forgotten）
   重要でない情報は忘れる
```

### 記憶の処理フロー

1. **会話記録**: すべての対話を保存
2. **重要度判定**: 関係性への影響度で評価
3. **要約作成**: 定期的に記憶を圧縮
4. **コア判定**: 本質的な記憶を特定
5. **選択的忘却**: 古い非重要記憶を削除

## 関係性パラメータ

### 関係性の段階

- `stranger` (0-49): 初対面
- `acquaintance` (50-99): 知人
- `friend` (100-149): 友人
- `close_friend` (150+): 親友
- `broken`: 修復不可能（スコア0以下）

### スコアの変動

- **ポジティブな対話**: +1.0〜+2.0
- **時間経過**: -0.1/日（自然減衰）
- **ネガティブな対話**: -10.0以上で深刻なダメージ
- **日次上限**: 1日10回まで

### 送信機能の解禁

関係性スコアが100を超えると、AIは自律的にメッセージを送信できるようになります。

## AI運勢システム

### 日々の変化

- 毎日1-10の運勢値がランダムに決定
- 運勢は人格特性に影響を与える
- 連続した幸運/不運でブレークスルー発生

### 人格への影響

運勢が高い日：
- より楽観的で積極的
- 創造性が高まる
- エネルギッシュな応答

運勢が低い日：
- 内省的で慎重
- 深い思考
- 控えめな応答

## データの永続性

### 保存場所

```
~/.config/aigpt/
├── config.json      # 設定
└── data/           # AIデータ
    ├── memories.json      # 記憶
    ├── relationships.json # 関係性
    ├── fortunes.json     # 運勢履歴
    └── ...
```

### データ主権

- すべてのデータはローカルに保存
- ユーザーが完全にコントロール
- 将来的にはatproto上で分散管理